---
title: Get OpenID Connect provider metadata
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > OAuth2 Client Public
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get OpenID Connect provider metadata{% #get-openid-connect-provider-metadata %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                     |
| ----------------- | -------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://app.ap1.datadoghq.com/api/v2/oauth2/.well-known/openid-configuration |
| ap2.datadoghq.com | GET https://app.ap2.datadoghq.com/api/v2/oauth2/.well-known/openid-configuration |
| app.datadoghq.eu  | GET https://app.datadoghq.eu/api/v2/oauth2/.well-known/openid-configuration      |
| app.ddog-gov.com  | GET https://app.ddog-gov.com/api/v2/oauth2/.well-known/openid-configuration      |
| us2.ddog-gov.com  | GET https://app.us2.ddog-gov.com/api/v2/oauth2/.well-known/openid-configuration  |
| uk1.datadoghq.com | GET https://app.uk1.datadoghq.com/api/v2/oauth2/.well-known/openid-configuration |
| app.datadoghq.com | GET https://app.datadoghq.com/api/v2/oauth2/.well-known/openid-configuration     |
| us3.datadoghq.com | GET https://app.us3.datadoghq.com/api/v2/oauth2/.well-known/openid-configuration |
| us5.datadoghq.com | GET https://app.us5.datadoghq.com/api/v2/oauth2/.well-known/openid-configuration |

### Overview

Retrieve OpenID Connect provider metadata for the OAuth2 v2 token endpoint.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
OpenID Connect provider metadata.

| Field                                                   | Type     | Description                                                     |
| ------------------------------------------------------- | -------- | --------------------------------------------------------------- |
| authorization_endpoint [*required*]                | string   | URL of the OAuth2 authorization endpoint.                       |
| id_token_signing_alg_values_supported [*required*] | [string] | Signing algorithms supported for ID tokens.                     |
| issuer [*required*]                                | string   | URL identifying the OpenID Connect issuer.                      |
| jwks_uri [*required*]                              | string   | URL of the JSON Web Key Set used to verify ID token signatures. |
| response_types_supported [*required*]              | [string] | OAuth2 response types supported by the provider.                |
| subject_types_supported [*required*]               | [string] | Subject identifier types supported by the provider.             |
| token_endpoint [*required*]                        | string   | URL of the OAuth2 token endpoint.                               |

{% /tab %}

{% tab title="Example" %}

```json
{
  "authorization_endpoint": "https://app.datadoghq.com/oauth2/v1/authorize",
  "id_token_signing_alg_values_supported": [
    "RS256"
  ],
  "issuer": "https://app.datadoghq.com/api/v2/oauth2",
  "jwks_uri": "https://app.datadoghq.com/oauth2/v1/keys",
  "response_types_supported": [
    "code"
  ],
  "subject_types_supported": [
    "public"
  ],
  "token_endpoint": "https://app.datadoghq.com/api/v2/oauth2/token"
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://app.datadoghq.com/api/v2/oauth2/.well-known/openid-configuration" \
-H "Accept: application/json" 
                
{% /tab %}
